#
# Cookbook Name:: netdevops
# Recipe:: debian
#
# Copyright 2015 John Deatherage
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

apt_repository 'atom' do
  uri          'ppa:webupd8team/atom'
  distribution node['lsb']['codename']
end

node['netdevops']['package']['debian'].each do |pkg|
  package pkg do
    action :install
  end
end

remote_file "#{Chef::Config[:file_cache_path]}/#{node['netdevops']['vagrant']['debian']['package']}" do
  source "#{node['netdevops']['vagrant']['debian']['url']}#{node['netdevops']['vagrant']['debian']['package']}"
  checksum node['netdevops']['vagrant']['debian']['checksum']
end

dpkg_package 'vagrant' do
  source "#{Chef::Config[:file_cache_path]}/#{node['netdevops']['vagrant']['debian']['package']}"
  action :install
end
